> For the complete documentation index, see [llms.txt](https://docs.exsat.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exsat.network/guides-of-data-consensus/utxo-initialization/verify-the-data-uploaded-to-exsat.md).

# Verify the data uploaded to exSat

We offer a range of tools and resources to help you verify the consistency of block headers and UTXO data with the Bitcoin network, as well as exSat snapshot to verify the consistency of source data with the onchain data.

### Data sources:

* [Block headers prior to 840,000](https://s3.amazonaws.com/exsat.initialize.data/block_headers_lt_840000.csv.zip)
* [UTXO data prior to 840,000](https://s3.amazonaws.com/exsat.initialize.data/utxo_lt_840000_ordered.csv.7z)
* [exSat snapshot with uploaded data](https://s3.amazonaws.com/exsat.initialize.data/spring-snapshot-utxo-mainnet.zip)

### Verification solutions

You can verify the accuracy of the above data using any of the following methods, or you may use your own preferred methods and tools for verification.

* [Methods and tools used by exSat for data initialization and verification](https://github.com/exsat-network/exsat-initialize-data)

### Audit Reports

[UTXO Data Initialization Audit Report by BlockSec](/security-reports/audit-report-from-blocksec.md#report-for-utxo-data-before-block-height-84-000).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.exsat.network/guides-of-data-consensus/utxo-initialization/verify-the-data-uploaded-to-exsat.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
